Subject: 23.1.50; Null Byte Yank on Mac OS X

From: Alex Schröder <[email-masked]>
Date: Sat, 19 Sep 2009 01:54:49 +0200

In GNU Emacs 23.1.50.2 (i386-apple-darwin8.11.1, NS apple-appkit-824.48)
 of 2009-07-30 on Pyrobombus.local
Windowing system distributor `Apple', version 10.3.824
configured using `configure  '--with-ns''

Try this: t e s t C-q 0 RET y o C-a C-k C-y -- this should print test^@yo,
go back, kill it all, and yank it. But on my system it only yanks "test" --
the null byte ends it all.

A quick question on #emacs revealed that some other people had the same
problem and all of them were using Emacs.app with the GUI on OSX. One user
with a 2009-05-11 version using a GUI reported that it works, but my version
from 2009-07-30 does not. Another user with version 23.0.96.1 reported a
fail as well.

Cheers
Alex